#ifndef MAT79_GenericDAQBoard
#define MAT79_GenericDAQBoard

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// GenericDAQBoard                                                      //
//                                                                      //
// Description of a generic DAQ board output buffer (TDC or ADC)        //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

class GenericDAQBoard {
  
  // private:
 public:

  UInt_t nData;
  Int_t* iChan;    //[nData]
  Int_t* iValue;   //[nData]
  
 public:
   
  GenericDAQBoard();
  GenericDAQBoard(UInt_t ndata, Int_t* channels, Int_t* values);
  virtual ~GenericDAQBoard();

  //  Int_t AddDatum(Int_t chan, Int_t value); to be done
  Int_t FillData(UInt_t ndata, Int_t* channels, Int_t* values);
  void ClearData();
  Int_t GetNData() { return nData; };
  //  Int_t GetAllData(Int_t* channels,Int_t* values); to be done
  Int_t GetChDatum(Int_t chan, UInt_t occurrence = 1);
  Int_t FindChDatum(Int_t chan, Int_t near = 0, 
		    Int_t lowerbound = 0, Int_t upperbound = 1000000);
  
  ClassDef(GenericDAQBoard,1)  //Event structure
};

#endif
